Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Internal::CodeGen_Posix::Allocation Struct Reference

A struct describing heap or stack allocations. More...

`#include <CodeGen_Posix.h>`

## Public Attributes
llvm::Value * | ptr = nullptr
| The memory. More...
llvm::Value * | destructor = nullptr
| Destructor stack slot for this allocation. More...
llvm::Function * | destructor_function = nullptr
| Function to accomplish the destruction. More...
llvm::Value * | pseudostack_slot = nullptr
| Pseudostack slot for this allocation. More...
Type | type
| The (Halide) type of the allocation. More...
int | constant_bytes = 0
| How many bytes this allocation is, or 0 if not constant. More...
int | stack_bytes = 0
| How many bytes of stack space used. More...
std::string | name
| A unique name for this allocation. More...

## Detailed Description

A struct describing heap or stack allocations.

Definition at line 32 of file CodeGen_Posix.h.

## Member Data Documentation

## ◆ ptr

llvm::Value* Halide::Internal::CodeGen_Posix::Allocation::ptr = nullptr

The memory.

Definition at line 34 of file CodeGen_Posix.h.

## ◆ destructor

llvm::Value* Halide::Internal::CodeGen_Posix::Allocation::destructor = nullptr

Destructor stack slot for this allocation.

Definition at line 37 of file CodeGen_Posix.h.

## ◆ destructor_function

llvm::Function* Halide::Internal::CodeGen_Posix::Allocation::destructor_function = nullptr

Function to accomplish the destruction.

Definition at line 40 of file CodeGen_Posix.h.

## ◆ pseudostack_slot

llvm::Value* Halide::Internal::CodeGen_Posix::Allocation::pseudostack_slot = nullptr

Pseudostack slot for this allocation.

Non-null for allocations of type Stack with dynamic size.

Definition at line 44 of file CodeGen_Posix.h.

## ◆ type

Type Halide::Internal::CodeGen_Posix::Allocation::type

The (Halide) type of the allocation.

Definition at line 47 of file CodeGen_Posix.h.

## ◆ constant_bytes

int Halide::Internal::CodeGen_Posix::Allocation::constant_bytes = 0

How many bytes this allocation is, or 0 if not constant.

Definition at line 51 of file CodeGen_Posix.h.

## ◆ stack_bytes

int Halide::Internal::CodeGen_Posix::Allocation::stack_bytes = 0

How many bytes of stack space used.

0 implies it was a heap allocation.

Definition at line 55 of file CodeGen_Posix.h.

## ◆ name

std::string Halide::Internal::CodeGen_Posix::Allocation::name

A unique name for this allocation.

May not be equal to the Allocate node name in cases where we detect multiple Allocate nodes can share a single allocation.

Definition at line 60 of file CodeGen_Posix.h.

The documentation for this struct was generated from the following file:

- src/CodeGen_Posix.h